package de.intevation.flys.artifacts.model.minfo;

import java.io.Serializable;

import de.intevation.flys.artifacts.model.DateRange;

public class BedQualityResult implements Serializable {

    public static enum DIAMETER_TYPE {
        D90,
        D84,
        D80,
        D75,
        D70,
        D60,
        D50,
        D40,
        D30,
        D25,
        D20,
        D16,
        D10,
        DMIN,
        DMAX
    }

    protected DIAMETER_TYPE type;
    protected double diameter;
    protected double km;
    protected DateRange dateRange;

    public BedQualityResult () {
    }

    public BedQualityResult (
        DIAMETER_TYPE type,
        double diameter,
        double km,
        DateRange range
    ) {
        this.type = type;
        this.diameter = diameter;
        this.km = km;
        this.dateRange = range;
    }

    public DIAMETER_TYPE getType() {
        return this.type;
    }

    public double getKm() {
        return this.km;
    }

    public double getDiameter() {
        return this.diameter;
    }

    public DateRange getDateRange() {
        return this.dateRange;
    }
        public void setType(DIAMETER_TYPE type) {
        this.type = type;
    }

    public void setDiameter(double diameter) {
        this.diameter = diameter;
    }

    public void setKm(double km) {
        this.km = km;
    }

    public void setDateRange(DateRange dateRange) {
        this.dateRange = dateRange;
    }

}
